package emps.v1_nieobiektowo;

import java.io.File;
import java.io.FileNotFoundException;
import java.util.Scanner;

// Program dla każdego pracownika wypisuje tekst postaci
// Steven King (President) zarabia 24000
public class P1_WypiszDane {

	public static void main(String[] args) {
		try(Scanner scanner = new Scanner(new File("emps.csv"))) {
			while(scanner.hasNextLine()) {
				String linia = scanner.nextLine();
				// System.out.println(linia);
				// String[] t = linia.split(";", -1);
				String[] t = linia.split(";");
				// System.out.println(java.util.Arrays.toString(t));
				System.out.printf("Pracownik %s %s (%s) zarabia %s%n", t[1], t[2], t[3], t[4]);
			}
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		}
	}

}
